﻿@model  EnergyMission.Domain.Entities.PersonEntity

@{
    string actionName = (string)ViewData["ActionName"];
}


@using (Html.BeginForm("Creates", "persons", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)


    <div class="clearfix"></div>
    <label class="name">Upload CVS*</label>
    @*@Html.TextBoxFor(model => model.CVUrl, new { @class = "cvs" })*@

    <input type="file" name="file"  />
    @Html.LabelFor(tt => tt.CVUrl, new { @id = "cvs" })
    @*<input class="cvs" type="text" name="name" value="" placeholder="id,last,first,emailadress.cvs" />*@
    <div class="clearfix"></div>
    <span class="heading">Manual Input</span>
    <div class="clearfix"></div>
    <div class="left">
        <label class="name">First name <span class="tool"><i class="fa fa-question-circle" aria-hidden="true"></i></span> <span class="tooltip">Help Me</span></label>
        <div style="position:relative;">
            @Html.TextBoxFor(model => model.FirstName)
            <div class="error-msg">
                <span class="error"> @Html.ValidationMessageFor(tt=>tt.FirstName) </span>
            </div>
            </div>

         </div>


    <div class="right">
        <label class="name">Last name <span class="tool"><i class="fa fa-question-circle" aria-hidden="true"></i></span> <span class="tooltip">Help Me</span></label>
        <div style="position:relative;">

            @Html.TextBoxFor(model => model.LastName)
            <div class="error-msg">
                <span class="error">@Html.ValidationMessageFor(tt => tt.LastName) </span>
            </div>
        </div>
        @*<input class="red" type="text" name="name" value="" placeholder="Wayne" />*@
    </div>

    <div class="left">
        <label class="name">Email address <span class="tool"><i class="fa fa-question-circle" aria-hidden="true"></i></span> <span class="tooltip">Help Me</span></label>
        <div style="position:relative;">
            @Html.TextBoxFor(model => model.EmailAddress)
            <div class="error-msg">
                <span class="error">@Html.ValidationMessageFor(tt => tt.EmailAddress) </span>
            </div>
        </div>
    </div>

    <div class="right">
        <label class="name">Employment ID</label>
        <div style="position:relative;">
            @Html.TextBoxFor(model => model.EmployeeID)
            <div class="error-msg">
                <span class="error">@Html.ValidationMessageFor(tt => tt.EmployeeID) </span>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="left">
        <label class="name">Password <span class="tool"><i class="fa fa-question-circle" aria-hidden="true"></i></span> <span class="tooltip">Help Me</span></label>
        <div style="position:relative;">
            @Html.PasswordFor(model => model.Password)
            <div class="error-msg">
                <span class="error">@Html.ValidationMessageFor(tt => tt.Password) </span>
            </div>
        </div>
        @*<input type="text" name="name" value="" placeholder="bruce.wayne@wayneenterprise.com" />*@
    </div>
   
   
    <div class="right">
        <label class="name">Confirm Password</label>
        <div style="position:relative;">
            @Html.PasswordFor(model => model.PasswordConfirm)
            <div class="error-msg">
                <span class="error">@Html.ValidationMessageFor(tt => tt.PasswordConfirm) </span>
            </div>
        </div>
        <div class="clearfix"></div>


    </div>
    <div class="clearfix"></div>
    <input class="save2 button2" name="button" id="btedit" type="submit" value="Save Changes" />
    <input class="done2 button2" name="button" id="btnnew" type="submit" value="New" />
    <input class="done2 button2" name="button" type="button" onclick="cancelall();" value="Done" />
}